net.sf.jasperreports.engine.export.type

## Enum ZoomTypeEnum

- java.lang.Object
- - java.lang.Enum<ZoomTypeEnum>
  - - net.sf.jasperreports.engine.export.type.ZoomTypeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ZoomTypeEnum>, JREnum, NamedEnum

      public enum ZoomTypeEnum
      extends java.lang.Enum<ZoomTypeEnum>
      implements JREnum

  Version:
    $Id: ZoomTypeEnum.java 6941 2014-03-03 10:32:32Z narcism $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTUAL_SIZE`
    `FIT_HEIGHT`
    `FIT_PAGE`
    `FIT_WIDTH`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZoomTypeEnum` | `getByName(java.lang.String name)`
    `static ZoomTypeEnum` | `getByValue(byte value)`
    `static ZoomTypeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getHtmlValue()`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static ZoomTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZoomTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTUAL_SIZE

          public static final ZoomTypeEnum ACTUAL_SIZE

    - #### FIT_WIDTH

          public static final ZoomTypeEnum FIT_WIDTH

    - #### FIT_HEIGHT

          public static final ZoomTypeEnum FIT_HEIGHT

    - #### FIT_PAGE

          public static final ZoomTypeEnum FIT_PAGE

  - ### Method Detail

    - #### values

          public static ZoomTypeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZoomTypeEnum c : ZoomTypeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZoomTypeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getHtmlValue

          public java.lang.String getHtmlValue()

    - #### getByName

          public static ZoomTypeEnum getByName(java.lang.String name)

    - #### getByValue

          public static ZoomTypeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static ZoomTypeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com